Skip to content

Create separation

Request

Creates a new Separation record. Separation resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
categorystring

High-level category of separation.

Enum:"ownership""location""grouping""other"
Example:"ownership"
childEntityIdstring

Identifier of the child entity in the separation relationship (e.g., separated animal, destination group).

Example:"123e4567-e89b-12d3-a456-426614174000"
clientProvidedIdstring

Optional client-supplied identifier for idempotency or cross-system correlation.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactIdstring

Reference to the associated contact, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this separation record is currently active.

Example:true
namestring

Human-readable name or label for the separation.

Example:"Example Name"
parentEntityIdstring

Identifier of the parent entity in the separation relationship (e.g., owner, source group).

Example:"123e4567-e89b-12d3-a456-426614174000"
separationIdstring

Canonical identifier for this separation relationship.

Example:"123e4567-e89b-12d3-a456-426614174000"
separationTypeobject(CodeableConceptDto)

Specific type of separation as a coded concept.

curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/separation' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "category": "ownership",
    "childEntityId": "123e4567-e89b-12d3-a456-426614174000",
    "clientProvidedId": "123e4567-e89b-12d3-a456-426614174000",
    "contactId": "123e4567-e89b-12d3-a456-426614174000",
    "extensions": {},
    "isActive": true,
    "name": "Example Name",
    "parentEntityId": "123e4567-e89b-12d3-a456-426614174000",
    "separationId": "123e4567-e89b-12d3-a456-426614174000",
    "separationType": {
      "code": "12345",
      "system": "http://example.com/codesystem",
      "display": "Example Display Name"
    }
  }'

Responses

Separation created successfully

Bodyapplication/json
categorystringrequired

High-level category of separation.

Enum:"ownership""location""grouping""other"
Example:"ownership"
childEntityIdstringrequired

Identifier of the child entity in the separation relationship (e.g., separated animal, destination group).

Example:"123e4567-e89b-12d3-a456-426614174000"
clientProvidedIdstringrequired

Optional client-supplied identifier for idempotency or cross-system correlation.

Example:"123e4567-e89b-12d3-a456-426614174000"
contactIdstringrequired

Reference to the associated contact, if applicable.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when this separation record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this separation record is currently active.

Example:true
namestringrequired

Human-readable name or label for the separation.

Example:"Example Name"
parentEntityIdstringrequired

Identifier of the parent entity in the separation relationship (e.g., owner, source group).

Example:"123e4567-e89b-12d3-a456-426614174000"
separationIdstringrequired

Canonical identifier for this separation relationship.

Example:"123e4567-e89b-12d3-a456-426614174000"
separationTypeobject(CodeableConceptDto)required

Specific type of separation as a coded concept.

updatedAtstring, (date-time)required

Timestamp when this separation record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "category": "ownership", "childEntityId": "123e4567-e89b-12d3-a456-426614174000", "clientProvidedId": "123e4567-e89b-12d3-a456-426614174000", "contactId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "name": "Example Name", "parentEntityId": "123e4567-e89b-12d3-a456-426614174000", "separationId": "123e4567-e89b-12d3-a456-426614174000", "separationType": { "code": "12345", "system": "http://example.com/codesystem", "display": "Example Display Name" }, "updatedAt": "2025-01-01T00:00:00.000Z" }